import React, { useEffect } from "react";
import { useAuth } from "../Auth";
function AutoLoginBrowser({}) {
    const { signIn, signOut, state } = useAuth();
    function autoLoginReact() {
        const currentState = window.localStorage.getItem("state");
        if (currentState) {
            let storageState = JSON.parse(currentState);
            if (storageState) {
                if (storageState.isSignedIn) {
                    signIn(storageState.userdata);
                }
                else {
                    signOut();
                }
            }
        }
    }
    useEffect(() => {
        autoLoginReact();
    }, []);
    useEffect(() => {
        window.localStorage.setItem("state", JSON.stringify(state));
    }, [state]);
    return React.createElement(React.Fragment, null);
}
export default AutoLoginBrowser;
//# sourceMappingURL=AutoLoginBrowser.js.map