"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
const react_1 = __importDefault(require("react"));
const DateInput_1 = require("./DateInput");
const react_hook_form_1 = require("react-hook-form");
exports.default = {
    title: 'DateInput',
    component: DateInput_1.DateInput,
};
const Primary = (args) => {
    const formContext = (0, react_hook_form_1.useForm)();
    return (react_1.default.createElement("form", null,
        react_1.default.createElement(react_hook_form_1.FormProvider, Object.assign({}, formContext),
            react_1.default.createElement(DateInput_1.DateInput, Object.assign({}, args)))));
};
exports.Primary = Primary;
exports.Primary.args = {
    name: 'SomeName',
    placeHolder: 'Place Holder'
};
//# sourceMappingURL=DateInput.stories.js.map