import React from "react";
import { useForm } from "react-hook-form";
import { useAuth } from "../Auth/Auth";
const Login = () => {
    const loginForm = useForm();
    const auth = useAuth();
    const onSubmit = () => {
        auth.signIn({ recno: 1 });
    };
    return (React.createElement("div", null,
        React.createElement("form", { onSubmit: loginForm.handleSubmit(onSubmit) },
            React.createElement("input", Object.assign({}, loginForm.register("username"), { placeholder: "User Name" })),
            React.createElement("input", Object.assign({}, loginForm.register("password"), { placeholder: "Password", type: "password", required: true })),
            React.createElement("button", { type: "submit", "data-testid": "submit" }, "Sign In"))));
};
export default Login;
//# sourceMappingURL=Login.js.map